Ad InsertionUpdate Ad Break Schedule

Update Ad Break Schedule

Updates the cron pattern, duration and recurrence limit of an existing type 1 schedule.

curl -X POST "https://api.5centscdn.com/v2/streams/push/123/adinsertion/schedule/123" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "value": "10 */5 1 * * *",
  "duration": 24,
  "recur": 0,
  "mode": "replace"
}'
{
  "result": "success"
}
POST
/streams/push/{streamid}/adinsertion/schedule/{scheduleid}
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
streamidinteger
Required

Numeric stream ID.

path
scheduleidinteger
Required

Numeric schedule ID.

Content-Typestring
Required

The media type of the request body

Options: application/json
valuestring
Required

Updated Quartz 6-field cron expression.

durationinteger
Required

Updated ad break duration in seconds.

Min: 10 • Max: 180
recurinteger
Required

Updated maximum trigger repetitions. 0 means unlimited.

Min: 0 • Max: 720
modestring

Pass replace to delete existing triggers and regenerate.

Options: replace
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

streamidinteger
Required

Numeric stream ID.

scheduleidinteger
Required

Numeric schedule ID.

Body

application/json
valuestring
Required

Updated Quartz 6-field cron expression.

Example:
10 */5 1 * * *
durationinteger
Required

Updated ad break duration in seconds.

Example:
24
recurinteger
Required

Updated maximum trigger repetitions. 0 means unlimited.

Example:
0
modestring

Pass replace to delete existing triggers and regenerate.

Allowed values:replace

Responses

resultstring

Status of the API response.

Allowed values:successerror